/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file rtc.c
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring real-time counter (RTC). 
*
*******************************************************************************/
#include "common.h"
#include "rtc.h"



void RTC_Init( void )
{
    //RTC interrupt interval: 1s = 1kHz / 10 / 100
	RTCSC_RTCPS = 0xB;            // prescale is 10
	RTCMOD	= 99;		     //modulo value is 100
	RTCSC_RTIE = 1;		     //Interrupt enable
}
void RTC_Start(void)
{
	RTCSC_RTCLKS = 0x0;           // clock source: 1-kHz LPO	
}
