/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file uart.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring serial communications interface (SCI). 
*
*******************************************************************************/
#ifndef _UART_H_
#define _UART_H_
#include "common.h"

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void Init_SCI(dword busCLKHz);


char TERMIO_GetChar(void);


void TERMIO_PutChar(char send);


void wait_sci_tx_empty(void);


#endif /* #ifndef _UART_H_ */
