/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file wdog.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring Watchdog (WDOG).
******************************************************************************/
#ifndef __WDOG_H__
#define __WDOG_H__

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/
// #define wdog_unlock()	asm(LDA	#0xC5); asm(STA	0x3032); asm(LDA #0x20);asm(STA 0x3033);\
		asm(LDA	#0xD9); asm(STA	0x3032); asm(LDA #0x28); asm(STA 0x3033)


/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/
void wdog_disable(void);
void wdog_enable(void );
/*void wdog_unlock(void);*/

/********************************************************************/
#endif /* __WDOG_H__ */

